Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# Event Class Reference

A named event, possibly with parameters. More...

Inheritance diagram for Event:

List of all members.

## Public Member Functions
| Event (Event const copy)
| Event (string event_name, EventReceiver receiver)
| Event (string event_name)
| addParameter (EventParameter const obj)
| clearName ()
| Resets the Event's name to empty.
| clearReceiver ()
string | getName ()
int | getNumParameters ()
EventParameter | getParameter (int n)
list | getParameters ()
EventReceiver | getReceiver ()
bool | hasName ()
| Returns true if the Event has a nonempty name set, false if the name is empty.
bool | hasReceiver ()
Event | operator= (Event const copy)
| output (ostream out)
| setName (string name)
| setReceiver (EventReceiver receiver)
## Static Public Member Functions
static TypeHandle | getClassType ()

## Detailed Description

A named event, possibly with parameters.

Anyone in any thread may throw an event at any time; there will be one process responsible for reading and dispacting on the events (but not necessarily immediately).

This function use to inherit from Namable, but that makes it too expensive to get its name the Python code. Now it just copies the Namable interface in.

## Constructor & Destructor Documentation

Event | ( | Event const | copy | ) |

Event | ( | string | event_name,
|  | EventReceiver | receiver
| ) |  |

Event | ( | string | event_name | ) |

## Member Function Documentation

addParameter | ( | EventParameter const | obj | ) |

clearName | ( |  | ) |

Resets the Event's name to empty.

clearReceiver | ( |  | ) |

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from TypedReferenceCount.

string getName | ( |  | ) |

int getNumParameters | ( |  | ) |

EventParameter getParameter | ( | int | n | ) |

list getParameters | ( |  | ) |

EventReceiver getReceiver | ( |  | ) |

bool hasName | ( |  | ) |

Returns true if the Event has a nonempty name set, false if the name is empty.

bool hasReceiver | ( |  | ) |

Event operator= | ( | Event const | copy | ) |

output | ( | ostream | out | ) |

setName | ( | string | name | ) |

setReceiver | ( | EventReceiver | receiver | ) |

All Classes Namespaces Functions Variables Enumerations Enumerator Properties